#include <iostream>

using namespace std;

int main()
{
    int k, n, x;
    cin >> n >> k >> x;
    if(n >= 4){
        if(x == 2){
            if(n == 4){
                cout << "1 2 3 4";
            }
            else{
                cout << -1;
            }
        }
        else if(n < x+2){
            cout << "1 2 3 ";
            cout << 3 + x << " ";
            for(int i = 4; i < n; ++i){
                cout << i << " ";
            }
        }
        else {
           cout << -1;
        }
    }
    else{
        cout << 1 << " " << 1 + x << " " << 1 + 2*x;
    }
    cout << endl;
    return 0;
}